gi-gio-2.0.32: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.OutputVector

Contents

- Exported types
- Methods
- Properties
  - buffer
  - size

Description

Structure used for scatter/gather data output. You generally pass in an array of `GOutputVectors` and the operation will use all the buffers as if they were one buffer.

Since: 2.22

Synopsis

- newtype OutputVector = OutputVector (ManagedPtr OutputVector)
- newZeroOutputVector :: MonadIO m => m OutputVector
- clearOutputVectorBuffer :: MonadIO m => OutputVector -> m ()
- getOutputVectorBuffer :: MonadIO m => OutputVector -> m (Ptr ())
- setOutputVectorBuffer :: MonadIO m => OutputVector -> Ptr () -> m ()
- getOutputVectorSize :: MonadIO m => OutputVector -> m Word64
- setOutputVectorSize :: MonadIO m => OutputVector -> Word64 -> m ()

# Exported types

newtype OutputVector Source #

Memory-managed wrapper type.

Constructors

OutputVector (ManagedPtr OutputVector) |

#### Instances

Instances details

Eq OutputVector Source # |
Instance details Defined in GI.Gio.Structs.OutputVector Methods (==) :: OutputVector -> OutputVector -> Bool Source # (/=) :: OutputVector -> OutputVector -> Bool Source #
BoxedPtr OutputVector Source # |
Instance details Defined in GI.Gio.Structs.OutputVector Methods boxedPtrCopy :: OutputVector -> IO OutputVector Source # boxedPtrFree :: OutputVector -> IO () Source #
CallocPtr OutputVector Source # |
Instance details Defined in GI.Gio.Structs.OutputVector Methods boxedPtrCalloc :: IO (Ptr OutputVector) Source #
ManagedPtrNewtype OutputVector Source # |
Instance details Defined in GI.Gio.Structs.OutputVector Methods toManagedPtr :: OutputVector -> ManagedPtr OutputVector Source #
tag ~ 'AttrSet => Constructible OutputVector tag Source # |
Instance details Defined in GI.Gio.Structs.OutputVector Methods new :: MonadIO m => (ManagedPtr OutputVector -> OutputVector) -> [AttrOp OutputVector tag] -> m OutputVector Source #

newZeroOutputVector :: MonadIO m => m OutputVector Source #

Construct a `OutputVector` struct initialized to zero.

# Methods

# Properties

## buffer

Pointer to a buffer of data to read.

clearOutputVectorBuffer :: MonadIO m => OutputVector -> m () Source #

Set the value of the “`buffer`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #buffer

getOutputVectorBuffer :: MonadIO m => OutputVector -> m (Ptr ()) Source #

Get the value of the “`buffer`” field. When overloading is enabled, this is equivalent to

    get outputVector #buffer

setOutputVectorBuffer :: MonadIO m => OutputVector -> Ptr () -> m () Source #

Set the value of the “`buffer`” field. When overloading is enabled, this is equivalent to

    set outputVector [ #buffer := value ]

## size

the size of `buffer`.

getOutputVectorSize :: MonadIO m => OutputVector -> m Word64 Source #

Get the value of the “`size`” field. When overloading is enabled, this is equivalent to

    get outputVector #size

setOutputVectorSize :: MonadIO m => OutputVector -> Word64 -> m () Source #

Set the value of the “`size`” field. When overloading is enabled, this is equivalent to

    set outputVector [ #size := value ]